package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class HomeScreenData {

    private int statusCode;
    private String message;
    private int id;
    private String name;
    private String avatar;
    private int coins;
    private int totalCoins;
    private int isBanned;
    private int levelId;
    private int quizPlayed;
    private String inviteCode;
    private String invitedBy;
    private String accountCreated;
    private String levelName;
    private String levelIcon;
    private String levelGreetings;
    private int isLevelChanged;
    @SerializedName("quizzes")
    private List<Quiz> quizList;
    @SerializedName("categories")
    private List<Category> categoryList;
    private int watchEarnReward;
    private int adEnabled;
    private String nativeAdId;
    private String interstitialAdId;
    private String rewardedAdId;
    private  int time;
    private int checkInReward;

    public HomeScreenData() {
    }

    public HomeScreenData(int statusCode, String message, int id, String name, String avatar, int coins, int totalCoins, int isBanned, int levelId, int quizPlayed, String inviteCode, String invitedBy, String accountCreated, String levelName, String levelIcon, String levelGreetings, int isLevelChanged, List<Quiz> quizList, List<Category> categoryList, int watchEarnReward, int adEnabled, String nativeAdId, String interstitialAdId, String rewardedAdId, int time, int checkInReward) {
        this.statusCode = statusCode;
        this.message = message;
        this.id = id;
        this.name = name;
        this.avatar = avatar;
        this.coins = coins;
        this.totalCoins = totalCoins;
        this.isBanned = isBanned;
        this.levelId = levelId;
        this.quizPlayed = quizPlayed;
        this.inviteCode = inviteCode;
        this.invitedBy = invitedBy;
        this.accountCreated = accountCreated;
        this.levelName = levelName;
        this.levelIcon = levelIcon;
        this.levelGreetings = levelGreetings;
        this.isLevelChanged = isLevelChanged;
        this.quizList = quizList;
        this.categoryList = categoryList;
        this.watchEarnReward = watchEarnReward;
        this.adEnabled = adEnabled;
        this.nativeAdId = nativeAdId;
        this.interstitialAdId = interstitialAdId;
        this.rewardedAdId = rewardedAdId;
        this.time = time;
        this.checkInReward = checkInReward;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getTotalCoins() {
        return totalCoins;
    }

    public void setTotalCoins(int totalCoins) {
        this.totalCoins = totalCoins;
    }

    public int getIsBanned() {
        return isBanned;
    }

    public void setIsBanned(int isBanned) {
        this.isBanned = isBanned;
    }

    public int getLevelId() {
        return levelId;
    }

    public void setLevelId(int levelId) {
        this.levelId = levelId;
    }

    public int getQuizPlayed() {
        return quizPlayed;
    }

    public void setQuizPlayed(int quizPlayed) {
        this.quizPlayed = quizPlayed;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    public String getInvitedBy() {
        return invitedBy;
    }

    public void setInvitedBy(String invitedBy) {
        this.invitedBy = invitedBy;
    }

    public String getAccountCreated() {
        return accountCreated;
    }

    public void setAccountCreated(String accountCreated) {
        this.accountCreated = accountCreated;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getLevelIcon() {
        return levelIcon;
    }

    public void setLevelIcon(String levelIcon) {
        this.levelIcon = levelIcon;
    }

    public String getLevelGreetings() {
        return levelGreetings;
    }

    public void setLevelGreetings(String levelGreetings) {
        this.levelGreetings = levelGreetings;
    }

    public int getIsLevelChanged() {
        return isLevelChanged;
    }

    public void setIsLevelChanged(int isLevelChanged) {
        this.isLevelChanged = isLevelChanged;
    }

    public List<Quiz> getQuizList() {
        return quizList;
    }

    public void setQuizList(List<Quiz> quizList) {
        this.quizList = quizList;
    }

    public List<Category> getCategoryList() {
        return categoryList;
    }

    public void setCategoryList(List<Category> categoryList) {
        this.categoryList = categoryList;
    }

    public int getWatchEarnReward() {
        return watchEarnReward;
    }

    public void setWatchEarnReward(int watchEarnReward) {
        this.watchEarnReward = watchEarnReward;
    }

    public int getAdEnabled() {
        return adEnabled;
    }

    public void setAdEnabled(int adEnabled) {
        this.adEnabled = adEnabled;
    }

    public String getNativeAdId() {
        return nativeAdId;
    }

    public void setNativeAdId(String nativeAdId) {
        this.nativeAdId = nativeAdId;
    }

    public String getInterstitialAdId() {
        return interstitialAdId;
    }

    public void setInterstitialAdId(String interstitialAdId) {
        this.interstitialAdId = interstitialAdId;
    }

    public String getRewardedAdId() {
        return rewardedAdId;
    }

    public void setRewardedAdId(String rewardedAdId) {
        this.rewardedAdId = rewardedAdId;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }

    public int getCheckInReward() {
        return checkInReward;
    }

    public void setCheckInReward(int checkInReward) {
        this.checkInReward = checkInReward;
    }
}
